%define api_version 3.0
%define pkg_name geronimo-interceptor_%{api_version}_spec
%define subrel 1
Name:          geronimo-interceptor-3.0-api
Version:       1.0.1
Release:       %mkrel 4
Summary:       Geronimo Interceptor 3.0
License:       ASL 2.0
Group:         Development/Java
URL:           http://geronimo.apache.org/
# svn export http://svn.apache.org/repos/asf/geronimo/specs/tags/geronimo-interceptor_3.0_spec-1.0.1
# tar czf geronimo-interceptor_3.0_spec-1.0.1-src-svn.tar.gz geronimo-interceptor_3.0_spec-1.0.1
Source0:       geronimo-interceptor_3.0_spec-1.0.1-src-svn.tar.gz

BuildRequires: geronimo-parent-poms
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Geronimo Interceptor 3.0 API.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo Interceptor 3.0 API.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE NOTICE ; do
  iconv -f iso8859-1 -t utf-8 $d.txt > $d.txt.conv && mv -f $d.txt.conv $d.txt
  sed -i 's/\r//' $d.txt
done

%build

mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-interceptor-%{api_version}-api-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-interceptor-%{api_version}-api-%{version}.jar geronimo-interceptor-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-interceptor-%{api_version}-api.pom
%add_maven_depmap JPP-geronimo-interceptor-%{api_version}-api.pom geronimo-interceptor-%{api_version}-api.jar

mkdir -p %{buildroot}%{_javadocdir}/geronimo-interceptor-%{api_version}-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-interceptor-%{api_version}-api

%files
%{_javadir}/geronimo-interceptor-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-interceptor-3.0-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-interceptor-%{api_version}-api


%changelog
* Sat May 16 2015 neoclust <neoclust> 1.0.1-4.1.mga4
+ Revision: 822164
- Remove old %%update_maven_depmap macro

* Fri Oct 18 2013 luigiwalser <luigiwalser> 1.0.1-4.mga4
+ Revision: 505045
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 351438
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 26 2011 gil <gil> 1.0.1-1.mga2
+ Revision: 158307
- imported package geronimo-interceptor-3.0-api

